Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 23 Sep 2019, 05:00
All times are UTC - 4
 Forum index » House Training » HOWTO ( Solutions )
A workable way to install skype 4.3 in puppy
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 9 of 18 [266 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, ..., 16, 17, 18 Next
Author Message
watchdog

Joined: 28 Sep 2012
Posts: 1912
Location: Italy

PostPosted: Thu 21 Aug 2014, 23:50    Post subject: Re: Upup Precise 3.8.3 - pulseaudio does not start  

gjuhasz wrote:
I installed pulseaudio on Upup Precise 3.8.3 and desperately trying to run it by spot user. I see the same error message that others see in this topic:

Code:
# su spot
# pulseaudio --start
E: [pulseaudio] main.c: Daemon startup failed.

I tested many pet and config combinations on many machines (and on Virtualbox, too) proposed in this forum thread but failed. Only root can run pulseaudio (with the warnings mentioned in your posts).

I would appreciate if you could help me with a working configuration of any pulseaudio pet/sfs file for spot user.


I think it's a permissions' problem. Try to tick SUID in properties of /usr/bin/pulseaudio or other related pulseaudio binaries.
Back to top
View user's profile Send private message 
saintless


Joined: 11 Jun 2011
Posts: 3882
Location: Bulgaria

PostPosted: Wed 27 Aug 2014, 04:20    Post subject: Re: skype 4.3 in pupply 5.7 PAE
Subject description: i am gonna cry
 

saintless wrote:
cookndrive wrote:
I installed the newest version skype 4.3 as directed in forum. I cannot get the app to stay up long enough to configure the sound or mic or anything else. It keeps saying "aborted" and I did not do anything to it.

I would like to have sound, and mic, but that is not as essential as have skype up so I can at least get information, texts and files. I am so frustrated I could chew and spit nails.

Welcome to my world! Smile
I have few computers with the same problem. Typing skype in terminal exits with "Aborted" message.

OK, "Aborted" message mistery solved:
Quote:
stoychod wrote:

Hello everybody ,

Let me clear the matter:

Skype has dropped support for SSE processors so Skype 4.3 won't work on such machines.Open up a terminal and type:

$ cat /proc/cpuinfo

Check the output of the command-look for the "flag" line/s.If you don't see "SSE2" (only "SSE") you are out of luck!!!

And of course they won't let you sign in with version 4.2 and below!!!Crap!!!

For the guys who see only BLOGBEGIN in their log files-you are trying to open the log files with a text editor.It won't work beacuse the log files a in a binary format!!You should use a hex editor to be able to read them!!I've made the same mistake


Edit: Do not type the $ symbol in consloe/terminal. Type only
Code:
cat /proc/cpuinfo


More information here:
http://community.skype.com/t5/Linux/Skype-4-3-crash-on-ubuntu-14-04/td-p/3219892/page/9
I do not have processor with SSE2 flag according to cat /proc/cpuinfo output.
This means I should buy new computer in order to use skype 4.3.0.37. Smile

_________________
Farewell, Nooby, you will be missed...

Last edited by saintless on Sat 10 Jan 2015, 11:29; edited 1 time in total
Back to top
View user's profile Send private message MSN Messenger 
FeodorF


Joined: 07 Jul 2010
Posts: 258
Location: Heidelberg, Germany

PostPosted: Wed 27 Aug 2014, 20:49    Post subject: Re: skype 4.3 in pupply 5.7 PAE
Subject description: i am gonna cry
 

saintless wrote:

OK, "Aborted" message mistery solved:
...This means I should buy new computer in order to use skype 4.3.0.37. Smile


Yes, this is really a nice move from micro$.

Looks like they hate us like hell.

Hey, fellows over there at Microsoft.

Placing phone calls to cell phones and landlines through Skype accounts means earning some money to you!

Am I get it right - you don't want that money?
Back to top
View user's profile Send private message 
jamesbond

Joined: 26 Feb 2007
Posts: 3357
Location: The Blue Marble

PostPosted: Thu 28 Aug 2014, 03:55    Post subject:  

It's a matter of which business unit is important.

It has been said many times that people upgrade Windows only when buy a new machine. Old machines don't get upgraded to newer Windows - they get Puppy installed on it instead - so this is a lost opportunity.

Using skype to force people to buy new hardware (that comes with Windows) means more money for the Windows division. Sure, it comes at the expense of the Skype division (people abandoning it) ... but hey, it's about priorities here! Twisted Evil

_________________
Fatdog64, Slacko and Puppeee user. Puppy user since 2.13.
Contributed Fatdog64 packages thread.
Back to top
View user's profile Send private message 
seadog

Joined: 02 Feb 2007
Posts: 13
Location: Southern England or Kansas USA

PostPosted: Thu 28 Aug 2014, 07:48    Post subject: skype 4.3 now working in Precise 5.7.1 on netbook
Subject description: How I managed to get skype 4.3 working on a small net-book
 

Hi Chaps,
First a big 'Thank You' to all the guys working on Precise Puppy. This is one outstanding operating system for small net-books.
Ok, the pc is a Packard Bell, with a dual core atom processor. It runs at 1.6 ghz and boasts a 10'' screen. It is a real work-horse for me. I run Precise from an external cdrom drive, with the 'Puppy save' file being kept on the hard drive. Simple and quick to run.
I require skype in my work/travels, so needed to get it working after the recent Microsoft re-vamp of the system.
First I tried downloading the Precise deb file from the skype web site, which ran ok, but no sound, as pulse-audio was not running on this pc.
This then was removed and instead used the workaround suggested here on the forum, using the skype 4.2 binary with the 4.3 packaged installed. This worked fine, everything working - until it appears skype discovered this and once more closed the loophole. (why I wonder?).
So.....tried to get pulse-audio running, so the skype 4.3 version would work. Tried several different ideas, which either became complicated or didn't work, so was on the point of giving up, until this.
I figured out that if pulse-audio was running, then skype should work correctly.

Firstly it was tested on a clean Puppy, but worked on my working Puppy in the same way.

Right, downloaded the pulseaudio-2.1-i486-w5.pet from this forum and installed. Opened the console and typed 'pulseaudio' to start it. The console returned the following:

# pulseaudio
W: [pulseaudio] main.c: This program is not intended to be run as root (unless --system is specified).
W: [pulseaudio] module.c: module-detect is deprecated: Please use module-udev-detect instead of module-detect!
E: [pulseaudio] module.c: Failed to load module "module-alsa-source" (argument: "device_id=0"): initialization failed.

Which I initially took to mean it was not running - but it was!
Having figured that out, I next installed the skype-4.3.0.37-w5.pet and installed this. Upon starting the skype application, found everything was working and running as 'root'.
The last thing was to drag the pulse-audio binary from usr/bin to the ~/Startup directory and make a relative link, so that the pulse-audio application starts when the computer is booted.
Thus job done.
Thanks to you chaps and all your hard work solving this problem, but the point I failed to realize was that pulse-audio had to be manually started.
Hopefully these notes will be of use to someone running the same sort of set up.
Back to top
View user's profile Send private message 
saintless


Joined: 11 Jun 2011
Posts: 3882
Location: Bulgaria

PostPosted: Thu 28 Aug 2014, 08:11    Post subject: Re: skype 4.3 now working in Precise 5.7.1 on netbook
Subject description: How I managed to get skype 4.3 working on a small net-book
 

seadog wrote:
This then was removed and instead used the workaround suggested here on the forum, using the skype 4.2 binary with the 4.3 packaged installed. This worked fine, everything working - until it appears skype discovered this and once more closed the loophole. (why I wonder?).

They didn't close the loophole... at least yet. I guess it is not so easy to close it since the account is set to autologin with latest skype.
The workaround still works for skype 2.2 and skype 4.2.
And later uploaded patched sfs, pet and deb files for Skype 4.2 and xxd startup script from the links here also work:
http://www.murga-linux.com/puppy/viewtopic.php?t=95202

Toni
Back to top
View user's profile Send private message MSN Messenger 
watchdog

Joined: 28 Sep 2012
Posts: 1912
Location: Italy

PostPosted: Thu 28 Aug 2014, 13:18    Post subject:  

@seadog

As explained by jamesbond the package skype-4.3.0.37-w5.pet has not working avatars. You can try skype-4.3.0.37-w5orig-2.pet:

https://copy.com/k1F4p2rJFmiz

It is built with qt-4.8.0 libs and plugins and has in /usr/share/skype/skypelibs the libstdc++.so.6 which you can delete in precise and slacko (it is needed in wary). I have tested it only in a live precise using pulseaudio-2.0-i486-w5.pet (uncomment in /etc/pulse/default.pa the lines with dmix and dsnoop) because I use to manually install skype in my dayly puppies.

EDIT: the above skype build works in precise and slacko but not in wary. Building it with qt-4.7.1 libs makes it working in wary with avatars. It's a little odd because manually installing skype and qt-4.8.0 in other dirs I know wary and latest skype work (even avatars) using qt-4.8.0 libs.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1912
Location: Italy

PostPosted: Fri 29 Aug 2014, 03:10    Post subject: How to manually install skype 4.3.0.37 in your puppy  

I think it can be useful to someone to write down an howto about manually install skype 4.3 in puppy. What is needed:

1- The tar ball of skype-4.3.0.37.tar.bz2 from skype website.

2- A working pulseaudio pet package. Use one from OscarTalks rep:

http://smokey01.com/OscarTalks/

After installing your suited pulseaudio pet package you should edit /etc/pulse/default.pa or /usr/etc/pulse/default.pa for the right settings (hardware-dependent). Read the thread for working solutions. The following settings have worked on all my hardwares:

Code:
load-module module-alsa-sink device=dmix
load-module module-alsa-source device=dsnoop


3 - A qt4 sfs loaded suited for your puppy. qt-4.7.1.sfs and qt-4.8.0-basic-with-qtwebkit-dpup.pet (you can build a sfs from it) works for all puppies I have tried. For recent puppies and newer glibc qt-4.8.2-stripped.sfs by pemasu works. There are slackware qt4 builds you can try, too. I always load a qt4 sfs for general use (to run qupzilla for example...). Alternatively you can use a skype build by OscarTalks with included qt4 libs if available for your puppy.

How to install skype 4.3:

- untar the skype-4.3.0.37.tar.bz2 in /usr/local using xarchiver (click on the tar ball);

then:

Code:
mkdir /usr/share/skype


- create relative links in /usr/share/skype to /usr/local/skype-4.3.0.37/avatars, icons, lang, sounds (only the dirs);

- with geany create a bash script named skype4.3 with the following content:

Code:
#!/bin/sh
#export LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so
#export LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so
pulseaudio --start
QT_PLUGIN_PATH=/path-to-qt4-plugins/plugins /usr/local/skype-4.3.0.37/skype "$@"
pulseaudio --kill


and after giving it execute permissions put it where you want. Create a link to the desktop of the above script to launch skype 4.3 without a desktop file. /path-to-qt4-plugins may be:

/opt/qt4/plugins for qt-4.7.1 and qt-4.8.0 or /usr/plugins for qt-4.8.2-stripped.

Wary needs libstdc++ upgrade, too. Read:

http://murga-linux.com/puppy/viewtopic.php?t=91049

Hope this helps.
Back to top
View user's profile Send private message 
ulock

Joined: 13 Jul 2014
Posts: 17

PostPosted: Sun 14 Sep 2014, 06:39    Post subject:  

Hi,

As an alternative to Skype I would recommend to try Google hangouts. It comes automatically with Gmail account and works perfectly smoothly on my slacko 5.6.0.

P.S. before making first call it asks to install "Hangouts plugin". Just download the file on your computer and install it. In my case everything was installed successfully without any additional adjustments,

Enjoy!
Back to top
View user's profile Send private message 
navegante

Joined: 16 Mar 2010
Posts: 65
Location: Montevideo

PostPosted: Wed 17 Sep 2014, 16:24    Post subject:  

Skype 4.3 working with Slacko Pupi 5.7 (but not microphone) on Sony Vaio VGN-FS415S

Pulseaudio had to be installed. Run within the console as root (not as spot user - type "exit" if you are spot user) "pulseaudio --system" before opening Skype.

Volume can be controlled from console with "alsamixer".

Webcam works.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1912
Location: Italy

PostPosted: Sun 21 Sep 2014, 01:35    Post subject: skype-4.3.0.37-precise.pet  

Trying to help guys using precise I have built a skype 4.3 pet for precise. Tested working after installing pulseaudio-2.0-i486-w5.pet from OscarTalks rep:

http://smokey01.com/OscarTalks/

After installing pulseaudio uncomment the following lines in /etc/pulse/default.pa:

Code:
load-module module-alsa-sink device=dmix
load-module module-alsa-source device=dsnoop


This worked in all my hardwares. Other settings could be required: read the thread.

Then install skype (qt4 libraries included in the pet):

https://copy.com/EkBFhqSEfmDN

Launch skype from menu without need to start pulseaudio in console. Thanks to OscarTalks whose work I used.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1912
Location: Italy

PostPosted: Mon 22 Sep 2014, 10:19    Post subject:  

sfs posted about a github project here:

http://www.murga-linux.com/puppy/viewtopic.php?p=800261#800261

This apulse is an emulation of pulseaudio using instead alsa. I did some testing and I have a skype 4.3 package working in precise and slacko. Apulse needs recent glibc so no way to get it working in older puppies. Just install the package which I propose for testing and launch it from menu in a live after adjusting alsa levels. No console and other packages required.

skype-4.3.0.37.pet:

https://copy.com/S44XMT3tvbKF
Back to top
View user's profile Send private message 
ETP


Joined: 19 Oct 2010
Posts: 1164
Location: UK

PostPosted: Mon 22 Sep 2014, 14:24    Post subject: Skype 4.3.0.37 with apulse .  

@ watchdog & sfs,

A great find by SFS and a swiftly produced dotpet by watchdog.
Thanks to you both. I can confirm that it is working in Blue Pup V4 which is based on Quirky Tahr 6.0.5.
Given that, it will most probably work with 666philb’s TahrPup 5.8.3.rc1

_________________
Regards ETP

Kennels
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3477
Location: wales

PostPosted: Mon 22 Sep 2014, 17:39    Post subject:  

yes thank you sfs ... apulse working in tahrpup Smile
_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 2003
Location: London, England

PostPosted: Mon 22 Sep 2014, 17:49    Post subject:  

Thanks sfs and watchdog. Dpup Wheezy has glibc-2.13 so I needed to re-compile apulse. Seems to work even with the internal mic in my netbook which was the only one I couldn't get working with the previous pulseaudio package idea.
_________________
Oscar in England

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 9 of 18 [266 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, ..., 16, 17, 18 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » HOWTO ( Solutions )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1063s ][ Queries: 13 (0.0181s) ][ GZIP on ]